#!/bin/bash
# LANGUAGE SELECTOR.  By Taurnil
# Mod by Moha, http://www.modmymoto.com
# This script must be called after setting QTDIR. It NEEDS 3 parameters:
mypath=$1;		#  Relative path
appname=$2;  	#  langfiles header:   $appname.LANGUAGE.lang
title=$3;	 	# Applicationi name. It's the langmenu title
if [ ! -f $mypath/$appname.lang.lin ]; then
	if [ -z "$title" ];then title=$appname; fi
	if [ -f $mypath/showList ]; then menu=$mypath/showList; else menu=showList; fi
	langlist=$(ls $mypath/LangFiles | grep "$appname\..*\.lang"|sed -e s/$appname\.//g|sed -e s/\.lang//g); 
	langarray[0]="English"; index=1; #  English: default language
	for lang in $langlist; do langarray[$index]=$lang;index=$[index+1];done
	$menu -t "$title" -i "$MYFILE/icon.png" -lsk "Select" -rsk "Exit" -c "Select language:" $langlist; lang=$?;
	cp $mypath/LangFiles/$appname.${langarray[$lang]}.lang $mypath/$appname.lang.lin
	return 0
else
	return 1
fi
